## fex 20160919

=== debian/changelog ===
fex (20160919-2) unstable; urgency=high

  * Security fix for fexsrv.

 -- Kilian Krause <kilian@debian.org>  Sun, 19 Apr 2020 14:43:58 +0200

fex (20160919-1) unstable; urgency=medium

  * New upstream version: 20160919
  * fix symlink for sex.send (Closes: #852292)

 -- Kilian Krause <kilian@debian.org>  Tue, 31 Jan 2017 14:06:50 +0100

fex (20160328-1) unstable; urgency=medium

  * New upstream version: 20160328
  * Fix lintian error: package-relation-with-perl-modules - replace with
    "perl"

 -- Kilian Krause <kilian@debian.org>  Tue, 30 Aug 2016 15:54:33 +0200
