=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
DEBVERSION:=$(shell dpkg-parsechangelog | sed -n -e 's/Version: //p')
DEB_NOEPOCH_VERSION:=$(shell echo $(DEBVERSION) | cut -d':' -f 2)
DEB_SRC_VERSION:=$(shell echo $(DEB_NOEPOCH_VERSION) | sed -e 's/-[^-]\+$$//')
LOCALES:=$(shell (cd locale;find . -mindepth 1 -maxdepth 1 -type d)|sed -e 's,^./,,')

build: build-arch build-indep
build-arch:
	# currently none - just to please lintian
build-indep: build-stamp

build-stamp:
	dh_testdir
	locale/debian_translate . /usr/share/fex locale/export
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -rf locale/export
	rm -f build-stamp
	dh_clean 
	@if [ ! -f debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) ];then \
		echo -n "Missing MD5sum file, generating: " ;\
		find htdocs/ -type f|grep -v -e version -e Licence -e FAQ/jquery.js -e download/ |LC_ALL=C sort|xargs -n 1 md5sum >debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) ;\
		echo "done. Stopping as failed now to check file into Git."; \
		exit 1 ;\
	fi

install: build
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i
	dh_install -i

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/Changes
	dh_installdocs
	cp doc/new debian/fex/usr/share/doc/fex/NEWS
	echo "fex_$(DEBVERSION)" >debian/fex/usr/share/fex/htdocs/version
	# update file system paths in FAQ
	sed -i -e 's,/home/fex/,/var/lib/fex/,g' debian/fex/usr/share/fex/htdocs/FAQ/*
	@(cd debian/fex/usr/share/fex/;find htdocs/ -type f|grep -v -e version -e FAQ/jquery.js -e download/ |LC_ALL=C sort|xargs -n 1 md5sum >../../../../fex.md5.check)
	if diff -q debian/fex.md5.check debian/htdocs.md5/$(DEB_NOEPOCH_VERSION) >/dev/null;then \
		echo "Correct htdocs md5sum found."; \
		rm -f debian/fex.md5.check; \
	else \
		echo "htdocs contents changed! Please add the following to your md5 cache:" ; \
		cat debian/fex.md5.check; \
		exit 1 ; \
	fi
	(cd debian/htdocs.md5;tar czf ../fex/usr/share/fex/.md5/htdocs.tgz *)
	dh_installcron
	dh_installdebconf
	dh_installlogrotate
	dh_installman -pfex-utils debian/man-fex-utils/*.1
	dh_installman -pfex debian/man-fex/*.1
	dh_link
	# add custom symlink without path
	mkdir -p debian/fex/usr/share/fex/htdocs/download
	ln -s :sexsend:sexget: debian/fex/usr/share/fex/htdocs/download/sex.stream
	dh_lintian
	dh_perl
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
